unit FMX_try;

interface

uses
  {$IFDEF MSWINDOWS}
   Winapi.ShellAPI,Winapi.Windows,
  {$ENDIF}

  {$IFDEF MACOS}
  Posix.Stdlib,
  {$ENDIF}

  {$IFDEF LINUX64}
  Posix.Stdlib,
  {$ENDIF}

  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls,
  FMX.Objects, FMX.Menus;


type
  TForm_Main = class(TForm)
    MainMenu1: TMainMenu;
    MenuBar: TMenuBar;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    ToolBar1: TToolBar;
    MenuItem4: TMenuItem;
    SubMenuItem2: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure MenuItem4Click(Sender: TObject);
    procedure SubMenuItem2Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_Main: TForm_Main;

implementation

{$R *.fmx}
Var
  TempString: String;
  I: LongInt;


procedure TForm_Main.FormCreate(Sender: TObject);
Var I: LongInt;

begin
  For I:=0 To MenuBar.ItemsCount-1 Do
    Form_Main.AddObject(MenuBar.Items[0]);

  Form_Main.RecreateOSMenu;
end;


procedure TForm_Main.MenuItem4Click(Sender: TObject);
begin
  MenuItem4.IsChecked:=Not MenuItem4.IsChecked;
end;

procedure TForm_Main.SubMenuItem2Click(Sender: TObject);
begin
   SubMenuItem2.IsChecked:=Not SubMenuItem2.IsChecked;
end;

end.
